## WebKitDOMDOMPluginArray

WebKitDOMDOMPluginArray

## Functions

WebKitDOMDOMPlugin * | webkit_dom_dom_plugin_array_item ()
WebKitDOMDOMPlugin * | webkit_dom_dom_plugin_array_named_item ()
void | webkit_dom_dom_plugin_array_refresh ()
gulong | webkit_dom_dom_plugin_array_get_length ()

## Properties

gulong | length | Read

## Types and Values

| WebKitDOMDOMPluginArray

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMDOMPluginArray

## Description

## Functions

### webkit_dom_dom_plugin_array_item ()

    WebKitDOMDOMPlugin *
    webkit_dom_dom_plugin_array_item (WebKitDOMDOMPluginArray *self,
                                      gulong index);

#### Parameters

self | A WebKitDOMDOMPluginArray |
index | A gulong |

#### Returns

A WebKitDOMDOMPlugin.

[transfer full]

### webkit_dom_dom_plugin_array_named_item ()

    WebKitDOMDOMPlugin *
    webkit_dom_dom_plugin_array_named_item
                                   (WebKitDOMDOMPluginArray *self,
                                    const gchar *name);

#### Parameters

self | A WebKitDOMDOMPluginArray |
name | A gchar |

#### Returns

A WebKitDOMDOMPlugin.

[transfer full]

### webkit_dom_dom_plugin_array_refresh ()

    void
    webkit_dom_dom_plugin_array_refresh (WebKitDOMDOMPluginArray *self,
                                         gboolean reload);

#### Parameters

self | A WebKitDOMDOMPluginArray |
reload | A gboolean |

### webkit_dom_dom_plugin_array_get_length ()

    gulong
    webkit_dom_dom_plugin_array_get_length
                                   (WebKitDOMDOMPluginArray *self);

#### Parameters

self | A WebKitDOMDOMPluginArray |

#### Returns

A gulong

## Types and Values

### WebKitDOMDOMPluginArray

    typedef struct _WebKitDOMDOMPluginArray WebKitDOMDOMPluginArray;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong DOMPluginArray:length.

Flags: Read